New to Telerik UI for WinForms? Download free 30-day trial

System Requirements

The following topic describes the system requirements needed by Telerik UI for WinForms.

The hardware and operating systems required to use Telerik UI for WinForms controls match the system requirements of Visual Studio. If you can use Visual Studio on your machine, you will be able to use our controls after obtaining our license.

Development Environment

In order to develop applications with Telerik UI for WinForms you need to have installed the following development tools:

  • Microsoft Visual Studio: 2012 and above.

  • .NET Framework: .NET Framework 4.0 and above. *.NET: .NET Core 3.1, .NET 5, .NET 6, .NET 7, .NET 8 and later.

Distributions

Please, check the Distributions article to get familiar with the target versions that are currently distributed.

See Also

In this article